Classes | Enumerations

# tarstrm.h File Reference

## Classes
class | wxTarInputStream
| Input stream for reading tar files. More...
class | wxTarClassFactory
| Class factory for the tar archive format. More...
class | wxTarOutputStream
| Output stream for writing tar files. More...
class | wxTarEntry
| Holds the meta-data for an entry in a tar. More...
## Enumerations
enum | wxTarType { wxTAR_REGTYPE = '0', wxTAR_LNKTYPE = '1', wxTAR_SYMTYPE = '2', wxTAR_CHRTYPE = '3', wxTAR_BLKTYPE = '4', wxTAR_DIRTYPE = '5', wxTAR_FIFOTYPE = '6', wxTAR_CONTTYPE = '7' }
| wxTarEntry::GetTypeFlag() values More...
enum | wxTarFormat { wxTAR_USTAR, wxTAR_PAX }
| Archive Formats (use wxTAR_PAX, it's backward compatible) used by wxTarEntry. More...

## Enumeration Type Documentation

enum wxTarFormat

Archive Formats (use wxTAR_PAX, it's backward compatible) used by wxTarEntry.

Enumerator:

  wxTAR_USTAR | POSIX.1-1990 tar format.
  wxTAR_PAX | POSIX.1-2001 tar format.

enum wxTarType

wxTarEntry::GetTypeFlag() values

Enumerator:

  wxTAR_REGTYPE | regular file
  wxTAR_LNKTYPE | hard link
  wxTAR_SYMTYPE | symbolic link
  wxTAR_CHRTYPE | character special
  wxTAR_BLKTYPE | block special
  wxTAR_DIRTYPE | directory
  wxTAR_FIFOTYPE | named pipe
  wxTAR_CONTTYPE | contiguous file

|  | [ top ]